mallow docs
v2 (Beta)TransactionsExternal Vendors

Buy on Magic Eden

POST
/v2/tx/magic-eden/buy

Revalidates the selected on-chain order and escrow, enforces separate payment-currency and SOL debit limits, simulates the buyer-only transaction, and returns its exact quote and blockhash expiry. Purchase is gated by the Magic Eden purchase switch.

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v2/tx/magic-eden/buy" \  -H "Content-Type: application/json" \  -d '{    "buyer": "string",    "orderId": "string",    "revision": 0,    "paymentMint": "string",    "maxPaymentAmount": "string",    "maxSolDebitLamports": "string"  }'
{  "result": {    "tx": "string",    "quote": {      "orderId": "string",      "revision": 0,      "mintAccount": "string",      "seller": "string",      "currencyMint": "string",      "sellerPrice": "string",      "creatorRoyalty": "string",      "magicEdenFee": "string",      "mallowFeeLamports": "string",      "networkFeeLamports": "string",      "rentLamports": "string",      "totalPaymentAmount": "string",      "totalSolDebitLamports": "string",      "expiresAt": "2019-08-24T14:15:22Z",      "currencySymbol": "string",      "currencyDecimals": 0,      "buyerPaymentBalance": "string",      "buyerSolBalanceLamports": "string"    },    "lastValidBlockHeight": 0  }}